<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.user.mapper.ComponentMapper">

    <select id="getAllComponent" resultType="ComponentDTO">
        SELECT * from sys_component WHERE State = 1
    </select>

    <select id="getComponentByList" resultType="ComponentDTO">
        SELECT * from sys_component WHERE State = 1 and Id in
        <foreach item="item" index="index" collection="list" open="(" separator="," close=")">
            #{item}
        </foreach>
    </select>

</mapper>
